package jp.co.sample;

import org.springframework.stereotype.Service;
import org.springframework.ui.Model;

/**
 * Java入門 Spring動作確認クラス.
 */
@Service
public class SampleService {

	/**
	 * Modelクラスに指定されたIDのユーザ情報をセットします.
	 * @param id	ID
	 * @param model	Modelクラス
	 */
	public void setModelData(String id, Model model) {
		
		System.out.println("クリックされたユーザ:" + id);
		
		if ("schoo".equals(id)) {
			
			model.addAttribute("id", id);
			model.addAttribute("name", "すく太郎");
			model.addAttribute("age" , 10);
			
		} else if ("web".equals(id)) {
			
			model.addAttribute("id", id);
			model.addAttribute("name", "うぇぶ太郎");
			model.addAttribute("age" , 35);
		}
	}
}